Automation
Read up to 100 resource outcomes. Use nextCursor for the next page.
Read up to 100 resource outcomes. Use nextCursor for the next page. The request is scoped to the authenticated instance and enforces Automation roles and lifecycle state.
GET
/
api
/
v1
/
automation
/
bulk-operations
/
{operationId}
/
items
Read up to 100 resource outcomes. Use nextCursor for the next page.
curl --request GET \
--url https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"resultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}⌘I
Read up to 100 resource outcomes. Use nextCursor for the next page.
curl --request GET \
--url https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/bulk-operations/{operationId}/items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"resultId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
